Ubuntu: Is ruby a pre-requisite to install gem?



Question:

I need to install gem on my Ubuntu 16.04 in order to install Travis CI CLI. Is it necessary to install ruby before installing gem? I literally have no idea about ruby and gem.


Solution:1

In 16.04 the package ruby replaces rubygems, among it's installed files is /usr/bin/gem. So the answer is no, you just need to install ruby as there's no separate package for gem anymore.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »